What are the system requirements?

Supported Operating Systems
  • Windows XP, Vista, 7,8, and 10
  • OS X 10.6 (Snow Leopard) through 11 (El Capitan)
Supported Browsers
  • Internet Explorer 6.0 and above
  • Firefox 19 and above
  • Chrome 23 and above
  • Safari 4 and above

Did you find this article helpful?